<?php
include("seguranca.php"); // Inclui o arquivo com o sistema de seguran?a
protegePagina(); // Protege a página
include("configuracao.php");//confirma no banco de dados
include("inclusos/funcoes.php");
require_once("inclusos/verifica_inject.php");

//BASE IMPORTAR
$SelecionaImportar = Seleciona("produtos_importar", "", "");
while($importar = mysql_fetch_array($SelecionaImportar)){
$valor_atacado = str_replace(',', '.', $importar['valor_atacado']);
$valor_varejo = str_replace(',', '.', $importar['valor_varejo']);
//ATUALIZA BASE
$AlterarProdutoBase = Alterar("produtos", "titulo='".utf8_encode($importar['titulo'])."',descricao='".utf8_encode($importar['descricao'])."', status='".$importar['status']."', valor_atacado='".$valor_atacado."', valor_varejo='".$valor_varejo."', cod_produto='".$importar['cod_produto']."', tamanho='".$importar['tamanho']."', idcategoria='".$importar['idcategoria']."', idsubcategoria='".$importar['idsubcategoria']."', idmarca='".$importar['idmarca']."'", "idproduto", $importar['idproduto']);

//ATUALIZA BASE CATEGORIAS
	
$SelecionaCategorias = Seleciona("produtos_categorias", "WHERE idproduto='".$importar['idproduto']."' AND importacao IS NULL", "LIMIT 0,1");
while($categoria = mysql_fetch_array($SelecionaCategorias)){
	
	$AlterarProdutoCategorias = mysql_query("UPDATE produtos_categorias SET titulo='".utf8_encode($importar['titulo'])."',descricao='".utf8_encode($importar['descricao'])."', status='".$importar['status']."', idcategoria='".$importar['idcategoria']."', importacao='1' WHERE idproduto_categoria='".$categoria['idproduto_categoria']."'") or die (mysql_error());
}

//ATUALIZA BASE DEPARTAMENTOS
	
$AlterarProdutoDepartamentos = Alterar("produtos_departamentos", "titulo='".utf8_encode($importar['titulo'])."',descricao='".utf8_encode($importar['descricao'])."', status='".$importar['status']."'", "idproduto", $importar['idproduto']);	

//ATUALIZA BASE GRADE
	
$AlterarProdutoGrade = Alterar("produtos_grade", "titulo='".utf8_encode($importar['titulo'])."',descricao='".utf8_encode($importar['descricao'])."', status='".$importar['status']."', valor_atacado='".$valor_atacado."', valor_varejo='".$valor_varejo."'", "idproduto", $importar['idproduto']);	
	
//ATUALIZA BASE SUBCATEGORIAS		

$SelecionaSubCategorias = Seleciona("produtos_subcategorias", "WHERE idproduto='".$importar['idproduto']."' AND importacao IS NULL", "LIMIT 0,1");
while($subcategoria = mysql_fetch_array($SelecionaSubCategorias)){
		
	$AlterarProdutoSubCategorias = mysql_query("UPDATE produtos_subcategorias SET titulo='".utf8_encode($importar['titulo'])."',descricao='".utf8_encode($importar['descricao'])."', status='".$importar['status']."', idsubcategoria='".$importar['idsubcategoria']."', importacao='1' WHERE idproduto_subcategoria='".$subcategoria['idproduto_subcategoria']."' ") or die (mysql_error());	
	
}
$valor_atacado = "";
$valor_varejo = "";	
echo "ok <br>";
}
	
?>